# Uses of Class
org.apache.sysds.runtime.data.SparseBlockMCSR

Packages that use SparseBlockMCSR
Package
Description
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.io

## Uses of SparseBlockMCSR in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type SparseBlockMCSR
Modifier and Type
Method
Description
`abstract void`
AColGroup.`decompressToSparseBlockTransposed(SparseBlockMCSR sb, int nColOut)`
Decompress the column group to the sparse transposed block.
`void`
ADictBasedColGroup.`decompressToSparseBlockTransposed(SparseBlockMCSR sb, int nColOut)`
`void`
AMorphingMMColGroup.`decompressToSparseBlockTransposed(SparseBlockMCSR db, int nColOut)`
`void`
ColGroupEmpty.`decompressToSparseBlockTransposed(SparseBlockMCSR sb, int nColOut)`
`void`
ColGroupLinearFunctional.`decompressToSparseBlockTransposed(SparseBlockMCSR sb, int nColOut)`
`void`
ColGroupUncompressed.`decompressToSparseBlockTransposed(SparseBlockMCSR sb, int nColOut)`
`void`
ColGroupUncompressedArray.`decompressToSparseBlockTransposed(SparseBlockMCSR sb, int nColOut)`

## Uses of SparseBlockMCSR in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io with parameters of type SparseBlockMCSR
Modifier and Type
Method
Description
`void`
ReaderTextCellParallel.CellBuffer.`flushCellBufferToSparseBlockMCSR(SparseBlockMCSR dest)`